Subject: Re: bug#40968: 28.0.50; (apply nil)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 06 May 2020 17:03:59 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 6 May 2020 06:02:45 -0700
> Cc: [email-masked]
> 
> Pip Cet <[email-masked]> writes:
> 
> > (apply FUNCTION ARGUMENT &rest ARGUMENTS), I guess. I missed it in the
> > first patch.
> 
> Thanks.
> 
> FWIW, I still think we should avoid changing the function signature if
> at all possible.

I agree.  I also think it isn't enough to check only here and in ELPA:
'apply' is a very popular function, and is used very widely.  I won't
be surprised if there were more of these usage cases that would be
broken by such a change in the signature.

Can we instead identify the problematic usage and signal an error?